theta.GetVersion

This API returns the version of the blockchain software.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

None

Result

Result Fields

KeyTypeDetail
versionStringthe version number
git_hashStringthe git commit hash of the code base
timestampStringthe build timestamp

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"theta.GetVersion","params": [],"id":1}'

Return

{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "version": "4.0.0",
        "git_hash": "7da8140d070e1d7b336eb975b3e5edce17ab508b",
        "timestamp": "Tue Feb 14 03:03:28 UTC 2023"
    }
}
Path Params
string
required
Defaults to 0f02ec3fa7114d418c20cee5a8096370/theta/rpc
Body Params
string
Defaults to {"jsonrpc":"2.0","method":"theta.BroadcastRawTransactionAsync","params":[{"tx_bytes":"02f8a4c78085e8d4a51000f86ff86d942e833968e5bb786ae419c4d13189fb081cc43babd3888ac7230489e800008901158e46f1e875100016b841393e2eba6241482098cf11ef4dd869209d7ebd716397f3c862ca5b762bbf403006b1fa009786102383c408cabdf7450c1c73d4dd4a20d3b48a39a88ffe0ecb0e01eae9949f1233798e905e173560071255140b4a8abd3ec6d3888ac7230489e800008901158e460913d00000"}],"id":1}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json